Subject: Re: Git on Windows, CRLF issues

From: Johan Herland <[email-masked]>
Date: Wed, 23 Apr 2008 16:24:09 +0200

On Wednesday 23 April 2008, Peter Karlsson wrote:
> Jeff King:
> > Sure, but that is quite slow on a larger tree, since it has to do a
> > full checkout for each commit.
>
> Indeed. That's why I would welcome a script such as the one you
> mentioned :-) Fortunately, the repositories I worked on were small
> enough to not suffer too much (even when using Git on Windows, which
> is a bit slower than on Linux).
>
> [Not seeing any unreachable objects]
>
> > Did you remove refs/original/ ?
>
> That, and cloned the repository to a new location after the
> conversion, and removing the references to "origin" there. It does
> seem that the objects are still there, but I can't see them with
> "gitk --all".

Maybe they are kept alive by reflogs?

Have fun! :)

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net